#                                                         -*- Perl -*-
# Copyright (c) 007, 2008  Kazuhiro Ito
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

use vars qw(%fpwoald7_conf, @tags_table);
  
%fpwoald7_conf = (
#
# FreePWING 1.5 以降を使用しない場合は 1 にします。
#
  'trim_long_index' => 0,

#
# 画像を収録しない場合は 0
# 画像を JPEG 形式で収録する場合は 1
# 画像を BMP 形式に変換して収録する場合は 2 にします。
# 画像の収録には FreePWING 1.5 以降が必要です。
# BMP 形式への変換には Image::Magick モジュールが必要です。
#
  'image_type' => 1,

#
# 画像の幅・高さの最大値を設定します。
# 0 の場合はチェックしません。
# 画像の縮小には Image::Magick モジュールが必要です。
#
  'image_max_width' => 0,
  'image_max_height' => 0,

#
# 音声を埋め込まない場合は 0
# 音声をMP3形式で収録する場合は 1
# 音声をPCM形式で収録する場合は 2 にします。
# 音声の収録には FreePWING 1.5 以降が必要です。
# PCM形式への変換には lame と SoX が必要です。
# sox は v13.0.0 で確認しています。
#
#  'sound_type' => 1,
  'sound_type' => 0,

#
# sox とlame のコマンド名をそれぞれ指定します。
# パスが通っていない場合はフルパス名で指定してください。
#
  'sound_sox' => 'sox',
  'sound_lame' => 'lame',

#
# sox コマンドへのオプションを指定します。
# '-c 1 -r 11025 -1'
# 等のように指定します。
#
  'sound_sox_options' => '-c 1 -r 11025 -1',

#
# verboseモードを利用する時は 1 にします。
#
  'verbose' => 0,

#
# デバッグモードを利用する時は 1 にします。
#
  'debug' => 0,

#
#
#
  'book_name' => 'dic'
    );

@tags_table = (
  # tag, begining LF, ending LF, indent, ignoring (1)/ force boxing (2), 
  # beg-text, end-text, font
#    ['p:h'     , 0, 0, 0, 0, '', ''],
#    ['p:panel' , 1, 0, 0, 0, '', ''],
#  ['p:althead'  , 1, 0, 0, 0, ''  , '' , ''],
#  ['p:box'      , 2, 2, 2, 0, ''  , '' , ''],
  ['p:core'     , 0, 0, 0, 0, ''  , '' , 'symbol'],
#  ['p:d'        , 1, 1, 0, 0, ''  , '' , ''],
#  ['p:defs'     , 1, 0, 0, 0, ''  , '' , ''],
#  ['p:defshead' , 1, 0, 0 ,0, ''  , '' , ''],
#  ['p:defsref'  , 1, 0, 0, 0, ''  , '' , ''],
  ['p:dr-g'     , 1, 0, 2, 0, ''  , '' , ''], # derivatives
  ['p:dr'    , 0, 0, 0, 0, '♯'  , '♭', ''],  #
#  ['p:e_h'      , 1, 1, 0, 0, ''  , '' , ''],
#  ['p:entry'    , 0, 1, 0, 0, ''  , '' , ''],
  ['p:h-g'      , 0, 0, 0, 0, ''  , '' , ''], # 2009-03-08 (Sun): 
  ['p:helppanel', 0, 0, 0, 0, '【', '】' , ''],
#  ['p:id-g'     , 1, 0, 0, 0, ''  , '' , ''],
  ['p:id-g'     , 1, 0, 2, 0, ''  , '' , ''],
  ['p:idpanel'  , 1, 1, 0, 0, '「' , '」', ''], #
  ['p:unpanel'  , 1, 1, 0, 0, '「' , '」', ''], #
  ['p:id'    , 0, 0, 0, 0, '♯'  , '♭', ''],  #
  ['p:pv-g'     , 1, 0, 2, 0, ''  , '' , ''],
  ['p:pvpanel'  , 1, 1, 0, 0, '『' , '』', ''], #
  ['p:pv'    , 0, 0, 0, 0, '♯', '♭', ''],  #
  ['p:etym'  , 1, 0, 0, 0, '', '', ''], #
  ['p:etympanel'  , 0, 0, 0, 0, '〔', '〕', ''], #
  ['p:e_h'    , 0, 0, 0, 0, '♯', '♭', ''],  #
#  ['p:inref'    , 2, 2, 0, 0, ''  , '' , ''],
#  ['p:more'     , 1, 0, 0 ,0, ''  , '' , ''],
#  ['p:n-g'      , 1, 0, 2, 0, ''  , '' , ''], #  
  ['p:n-g'      , 1, 0, 1, 0, ''  , '' , ''], #
#  ['p:ndx'      , 1, 0, 0, 0, ''  , '' , ''],
  ['p:ndxnr'    , 0, 0, 0, 0, ''  , ' ', ''],
  ['p:ngnum'    , 1, 0, 0, 0, '♂'  , '♀', ''],  #
  ['p:cf'    , 0, 0, 0, 0, '♂'  , '♀', ''],  #
  ['p:ardb1'    , 0, 0, 0, 0, '♂'  , '♀', ''],  #
  ['p:title'    , 1, 0, 0, 0, '♂'  , '♀' , ''],
  ['p:subtitle'    , 1, 0, 0, 0, '♂'  , '♀' , ''],
  ['p:revout'    , 0, 0, 0, 0, '↑'  , '↓', ''],  #
  ['p:xh'    , 0, 0, 0, 0, '♯'  , '♭', ''],  #
  ['p:sd'    , 1, 0, 0, 0, '♯'  , '♭', ''],  #
  ['p:sd-g'     , 1, 0, 0, 0, ''  , '' , ''],  # solve the indentation issue?
  ['p:dr'    , 0, 0, 0, 0, '♯'  , '♭', ''],  #
#  ['p:np'       , 1, 0, 0, 0, '　', '' , ''],
  ['p:p-g'      , 1, 1, 0, 0, ''  , '' , ''],
  ['p:para'     , 1, 0, 0, 0, '• '  , '' , ''],
#  ['p:pv-g'     , 1, 0, 2, 0, ''  , '' , ''],
#  ['p:pvpanel'  , 1, 0, 0, 0, '[' , ']', ''],
#  ['p:sn'       , 1, 0, 0, 0, ''  , '' , ''],
#  ['p:subentry' , 2, 0, 1, 0, ''  , '' , ''],  #↓※◇■
#  ['p:subhdnr'  , 0, 0, 0, 0, ''  , ' ', ''],
#  ['p:subhead'  , 1, 1, 1, 0, ''  , '' , ''],
#  ['p:title'    , 1, 1, 0, 0, ''  , '' , ''],
#  ['p:subtitle'    , 1, 0, 0, 0, ''  , '' , ''],
#  ['p:unpanel'  , 1, 1, 0, 0, ''  , '' , ''],
#  ['p:wfpanel'  , 1, 1, 0, 0, ''  , '' , ''],
  ['p:wx'       , 0, 0, 0, 0, '×' , ' ', ''],
  ['p:x'        , 0, 0, 0, 0, '《' , '》', ''],  # sample sentences
  ['p:unx'        , 0, 0, 0, 0, '《' , '》', ''],  # sample sentences
  ['p:pos'        , 0, 0, 0, 0, '《' , '》', ''],  # parts of speech
#  ['p:zn'       , 0, 0, 0, 0, ''  , ' ', ''],
  ['p:zn'       , 0, 0, 0, 0, ''  , '', ''],
  ['p:i'        , 0, 0, 0, 0, ''  , '' , 'ipa'],
  ['p:y'        , 0, 0, 0, 0, ''  , '' , 'ipa'],
  ['span class="dictbats"', 0, 0, 0, 0, ''  , '' , 'symbol'],
  ['span class="helpbox"', 1, 1, 2, 0, '', '', ''],
#  ['span class="etymbox"', 2, 2, 2, 0, '', '', ''],
#  ['span class="unbox"'  , 2, 2, 2, 0, '', '', ''],
#  ['span class="wfbox"'  , 2, 2, 2, 0, '', '', ''],

  # ['p:i-g'   , 0, 0, 0, 0, '', ''],

  ['span class="activebutton"', 0, 0, 0, 1, '', '', ''],
  ['span class="speakerus"'   , 0, 0, 0, 0, '[US]', '', 'symbol'],
  ['span class="speakeruk"'   , 0, 0, 0, 0, '[UK]', '', 'symbol'],
 
  ['.*'      , 0, 0, 0, 0, '', '', ''],
    );

sub debug_mode {
  return $fpwoald7_conf{'debug'};
}

sub verbose_mode {
  return $fpwoald7_conf{'verbose'};
}

# Following line must be at the end of this file.
1;
